package com.ruoyi.ss.record.time.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备时长变化记录对象 ss_record_time
 *
 * @author ruoyi
 * @date 2024-06-06
 */
@Data
public class RecordTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录id */
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 时长变化量（秒） */
    @Excel(name = "时长变化量（秒）")
    private Long amount;

    /** 变化原因 */
    @Excel(name = "变化原因")
    private String reason;

    /** 操作人id */
    @Excel(name = "操作人id")
    private Long operatorId;

    /** 操作人名称 */
    @Excel(name = "操作人名称")
    private String operatorName;

    /** 操作人类型 */
    @Excel(name = "操作人类型")
    private String operatorType;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime operatorTime;

    @Excel(name = "变化类型：1-时长，2-电量")
    @ApiModelProperty("变化类型：1-时长，2-电量")
    private String type;
}
